# Class: Ellipse

## scoord3d.Ellipse(options)

ELLIPSE graphic denoted by four, coplaner (x, y, z) coordinates that represent the endpoints of the major and minor axes, where the first and second coordinates represent the endpoints of the major axis and the third and forth coordinates represent the endpoints of the minor axis.

## Constructor

#### new Ellipse(options)

##### Parameters:

Name | Type | Description
--- | --- | ---
`options` | Object | ###### Properties
Name | Type | Attributes | Description
--- | --- | --- | ---
`frameOfReferenceUID` | string |  | Unique identifier of the Frame of Reference
`coordinates` | Array.<Array.<number>> |  | (x, y, z) coordinates of the major and minor axes endpoints
`fiducialUID` | string | <optional> | Unique identifier of an imaging fiducial

Source:
  - scoord3d.js, line 315

### Extends

- scoord3d.Scoord3D

### Members

#### fiducialUID :string

Fiducial UID

##### Type:

- string

Overrides:
  - scoord3d.Scoord3D#fiducialUID
Source:
  - scoord3d.js, line 74

#### frameOfReferenceUID :string

Frame of Reference UID

##### Type:

- string

Overrides:
  - scoord3d.Scoord3D#frameOfReferenceUID
Source:
  - scoord3d.js, line 65

#### graphicData :Array.<Array.<number>>

Graphic Data

##### Type:

- Array.<Array.<number>>

Overrides:
  - scoord3d.Scoord3D#graphicData
Source:
  - scoord3d.js, line 47

#### graphicType :string

Graphic Type

##### Type:

- string

Overrides:
  - scoord3d.Scoord3D#graphicType
Source:
  - scoord3d.js, line 56